# Interface ArpaSettings

ARPA settings for a radar.

interface ArpaSettings {
autoAcquisition: number;
cpaThreshold: number;
enabled: boolean;
lostTargetTimeout: number;
maxTargets: number;
tcpaThreshold: number;
}

- Defined in radarapi.ts:422

##### Index

### Properties

autoAcquisition
cpaThreshold
enabled
lostTargetTimeout
maxTargets
tcpaThreshold

## Properties

### autoAcquisition

autoAcquisition: number

Auto-acquisition sensitivity (0=off, 1-3=low/med/high)

- Defined in radarapi.ts:434

### cpaThreshold

cpaThreshold: number

CPA threshold for danger alert in meters

- Defined in radarapi.ts:428

### enabled

enabled: boolean

Whether ARPA is enabled

- Defined in radarapi.ts:424

### lostTargetTimeout

lostTargetTimeout: number

Seconds before marking a target as lost

- Defined in radarapi.ts:432

### maxTargets

maxTargets: number

Maximum number of targets to track (typically 10-100)

- Defined in radarapi.ts:426

### tcpaThreshold

tcpaThreshold: number

TCPA threshold for danger alert in seconds

- Defined in radarapi.ts:430